// Can be enabled for less elements on the page
// .var-example {
//     display: none;
// }

/* ---------------------------------------

    Card Component
    Classic way for styling via SCSS - nested structure and media query
    This is left for reference, under this snippet is the css variables implementation

--------------------------------------- */
// .card {
//     margin: 0 auto;
//     box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
//     border: 1px solid rgba(229, 231, 235, 0.2);
//     border-radius: 0.5rem;
//     max-width: 24rem;
//     overflow: hidden;
//     .card__img {
//         width: 100%;
//     }
//     .card__title {
//         font-size: 18px;
//         font-weight: bold;
//         color: #222e50;
//         padding: 0 18px;
//         margin: 18px 0;
//     }
//     .card__desc {
//         color: #6b7280;
//         padding: 0 18px;
//         margin: 0 0 18px 0;
//         overflow: hidden;
//         text-overflow: ellipsis;
//         display: -webkit-box;
//         -webkit-line-clamp: 4;
//         -webkit-box-orient: vertical;
//     }
//     .card__btn {
//         padding: 6px 16px;
//         background-color: #222e50;
//         color: #f3f4f6;
//         border: none;
//         border-radius: 6px;
//         margin-left: 18px;
//         margin-bottom: 18px;
//     }
// }

// @media screen and (min-width: 768px) {
//     .card {
//         .card__title {
//             font-size: 21px;
//             padding: 0 24px;
//             margin: 24px 0;
//         }
//         .card__desc {
//             padding: 0 24px;
//             margin: 0 0 24px 0;
//             -webkit-line-clamp: 3;
//         }
//         .card__btn {
//             margin-left: 24px;
//             margin-bottom: 24px;
//         }
//     }
// }


/* ---------------------------------------

    Card Component
    Updated way for styling via SCSS - css variables and media query

--------------------------------------- */
.card {
    // component's variables
    --card-spacing: 18px;
    --card-title-size: 18px;
    --card-desc-lines: 4;

    margin: 0 auto;
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
    border: 1px solid rgba(229, 231, 235, 0.2);
    border-radius: 0.5rem;
    max-width: 24rem;
    overflow: hidden;
    .card__img {
        width: 100%;
    }
    .card__title {
        font-size: var(--card-title-size);
        font-weight: bold;
        color: #222e50;
        padding: 0 var(--card-spacing);
        margin: var(--card-spacing) 0;
    }
    .card__desc {
        color: #6b7280;
        padding: 0 var(--card-spacing);
        margin: 0 0 var(--card-spacing) 0;
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-line-clamp: var(--card-desc-lines);
        -webkit-box-orient: vertical;
    }
    .card__btn {
        padding: 6px 16px;
        background-color: #222e50;
        color: #f3f4f6;
        border: none;
        border-radius: 6px;
        margin-left: var(--card-spacing);
        margin-bottom: var(--card-spacing);
    }
}

@media screen and (min-width: 768px) {
    .card {
        --card-spacing: 24px;
        --card-title-size: 21px;
        --card-desc-lines: 3;
    }
}
